Rails 3 edge broken for Ruby 1.9.2-preview1

First tried creating default Rails app using Rails 3-beta3

$ rails simple

$ mate Gemfile
  gem 'rails', '3.0.0.beta3'

$ cd simple
simple kristianconsult$ rails s
/Users/kristianconsult/.rvm/gems/ruby-1.9.2-preview1/gems/
activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:
208:in `utc_offset': undefined method `current_period' for
nil:NilClass (NoMethodError)
  from /Users/kristianconsult/.rvm/gems/ruby-1.9.2-preview1/gems/
activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:
222:in `<=>'

Can you try 1.9.2-head?

Yehuda Katz
Architect | Engine Yard
(ph) 718.877.1325

Thanks! That works :slight_smile: